## focuswriter 1.3.2.git.69e4975b

=== debian/changelog ===
focuswriter (1.3.2.git.69e4975b-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Evan Broder <evan@ebroder.net>  Wed, 25 May 2011 09:40:59 +0000

focuswriter (1.3.2.git.69e4975b-1) unstable; urgency=low

  * New upstream version
  * Include post-release upstream mods
    - crash fix
    - es_MX (Mexican spanish) translation

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Dec 2010 12:15:47 -0500

focuswriter (1.3.1-1) unstable; urgency=low

  * Initial release for Debian, based on Ubuntu packaging (closes: #580763)
  * Packaging updated from Ubuntu debian, thanks to Graeme Gott

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Nov 2010 15:53:39 +0000

=== debian/watch ===
version=3
http://gottcode.org/focuswriter/focuswriter-([\d\.]+)-src.tar.bz2

## focuswriter 1.8.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2022 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(focuswriter VERSION 1.8.2 LANGUAGES CXX)

set(project_copyright "2008-2022 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if (WIN32)
	set(Iconv_IS_BUILT_IN true)
endif()

find_package(Qt6 REQUIRED COMPONENTS Concurrent Core Gui LinguistTools Multimedia Network PrintSupport Widgets)
find_package(Iconv REQUIRED)
find_package(ZLIB REQUIRED)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060300>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/application.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(focuswriter
	src/action_manager.cpp
	src/alert.cpp
	src/alert_layer.cpp
	src/application.cpp
	src/block_stats.cpp
	src/color_button.cpp
	src/deltas.cpp
	src/daily_progress.cpp
	src/daily_progress_dialog.cpp
	src/daily_progress_label.cpp
	src/document.cpp
	src/document_cache.cpp
	src/document_watcher.cpp
	src/document_writer.cpp
	src/find_dialog.cpp
	src/gzip.cpp
	src/image_button.cpp
	src/load_screen.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/paths.cpp
	src/preferences.cpp
	src/preferences_dialog.cpp
	src/scene_list.cpp
	src/scene_model.cpp
	src/session.cpp
	src/session_manager.cpp
	src/shortcut_edit.cpp
	src/smart_quotes.cpp
	src/sound.cpp
	src/stack.cpp
	src/stats.cpp
	src/symbols_dialog.cpp
	src/symbols_model.cpp
	src/text_codec.cpp
	src/theme.cpp
	src/theme_dialog.cpp
	src/theme_manager.cpp
	src/theme_renderer.cpp
	src/timer.cpp
	src/timer_display.cpp
	src/timer_manager.cpp
	src/utils.cpp
	src/window.cpp
	src/fileformats/docx_reader.cpp
	src/fileformats/docx_writer.cpp
	src/fileformats/format_manager.cpp
	src/fileformats/html_writer.cpp
	src/fileformats/odt_reader.cpp
	src/fileformats/odt_writer.cpp
	src/fileformats/rtf_reader.cpp
	src/fileformats/rtf_tokenizer.cpp
	src/fileformats/rtf_writer.cpp
	src/fileformats/txt_reader.cpp
	src/spelling/dictionary_dialog.cpp
	src/spelling/dictionary_manager.cpp
	src/spelling/highlighter.cpp
	src/spelling/spell_checker.cpp
	src/3rdparty/qtsingleapplication/qtsingleapplication.cpp
	src/3rdparty/qtsingleapplication/qtlocalpeer.cpp
	src/3rdparty/qtzip/qtzip.cpp
	resources/images/images.qrc
	${translations_QM}
)

target_include_directories(focuswriter PRIVATE
	src
	src/fileformats
	src/spelling
	src/3rdparty/qtsingleapplication
	src/3rdparty/qtzip
)

target_link_libraries(focuswriter PRIVATE
	Qt6::Concurrent
	Qt6::Core
	Qt6::Gui
	Qt6::Multimedia
	Qt6::Network
	Qt6::PrintSupport
	Qt6::Widgets
	Iconv::Iconv
	ZLIB::ZLIB
)

# Add spellchecking support
if(APPLE)
	target_sources(focuswriter PRIVATE
		src/spelling/dictionary_provider_nsspellchecker.mm
	)

	find_library(APPKIT AppKit)
	target_link_libraries(focuswriter PRIVATE ${APPKIT})
elseif(WIN32)
	target_compile_definitions(focuswriter PRIVATE HUNSPELL_STATIC)

	target_include_directories(focuswriter PRIVATE src/3rdparty/hunspell)

	target_sources(focuswriter PRIVATE
		src/spelling/dictionary_provider_hunspell.cpp
		src/spelling/dictionary_provider_voikko.cpp
		src/3rdparty/hunspell/affentry.cxx
		src/3rdparty/hunspell/affixmgr.cxx
		src/3rdparty/hunspell/csutil.cxx
		src/3rdparty/hunspell/filemgr.cxx
		src/3rdparty/hunspell/hashmgr.cxx
		src/3rdparty/hunspell/hunspell.cxx
		src/3rdparty/hunspell/hunzip.cxx
		src/3rdparty/hunspell/phonet.cxx
		src/3rdparty/hunspell/replist.cxx
		src/3rdparty/hunspell/suggestmgr.cxx
	)
else()
	find_package(PkgConfig REQUIRED)
	pkg_check_modules(Hunspell REQUIRED IMPORTED_TARGET hunspell)

	target_sources(focuswriter PRIVATE
		src/spelling/dictionary_provider_hunspell.cpp
		src/spelling/dictionary_provider_voikko.cpp
	)

	target_link_libraries(focuswriter PRIVATE PkgConfig::Hunspell)
endif()

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(focuswriter PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET focuswriter
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:focuswriter>
	)
endif()

# Create symbols
add_subdirectory(resources/symbols)

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(focuswriter PROPERTIES
		OUTPUT_NAME FocusWriter
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/resources/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/mac/focuswriter.icns Resources)
	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/images/icons/oxygen/hicolor Resources/icons/hicolor)
	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/sounds Resources/sounds)
	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/symbols/symbols1400.dat Resources)
	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/themes Resources/themes)
	bundle_translations(focuswriter "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(focuswriter PROPERTIES
		OUTPUT_NAME FocusWriter
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Fullscreen word processor"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "FocusWriter"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/resources/windows/focuswriter.ico
	)
	_qt_internal_generate_win32_rc_file(focuswriter)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/focuswriter)

	target_sources(focuswriter PRIVATE resources/images/icons/icons.qrc)

	install(TARGETS focuswriter RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter/translations)
	install(DIRECTORY resources/images/icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(DIRECTORY resources/images/icons/oxygen/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter/icons)
	install(DIRECTORY resources/sounds DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
	install(DIRECTORY resources/themes DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
	install(FILES resources/symbols/symbols1400.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
	install(FILES resources/unix/focuswriter.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)
	install(FILES resources/unix/focuswriter.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES resources/unix/focuswriter.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS FOCUSWRITER_DATADIR="${datadir}")

## focuswriter 1.3.3

=== debian/changelog ===
focuswriter (1.3.3-2) unstable; urgency=low

  * single debian patch source option (closes: #643117)
  * silence lintian: rephrase description and add minimal man page

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 02 Oct 2011 22:53:46 +0100

focuswriter (1.3.3-1) unstable; urgency=low

  * update debian/watch for uscan to github redir
  * New upstream version
  * merge post-release fixes: icon location, no-sound crash
  
 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Jul 2011 20:14:38 +0200

focuswriter (1.3.2.1+git.daa4c602-1) unstable; urgency=low

  * Merge many upstream enhancements and bug fixes
  * Bump debian standards version
  * Account for shifted upstream icon file directory (rules, install)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Jun 2011 09:51:13 +0100

focuswriter (1.3.2.1-1) unstable; urgency=low

  * New upstream version (same as 1.3.2.git.69e4975b but bumps version)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Dec 2010 21:28:37 -0500

=== debian/control ===
Source: focuswriter
Section: editors
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Graeme Gott <graeme@gottcode.org>
Build-Depends: cdbs, debhelper (>= 8), imagemagick, libqt4-dev, libao-dev, libhunspell-dev, libzip-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://gottcode.org/focuswriter/
Vcs-Git: git://git.debian.org/collab-maint/focuswriter.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/focuswriter.git;a=summary

Package: focuswriter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hunspell-dictionary, myspell-dictionary
Description: Fullscreen distraction-free writing program
 Focuswriter is a fullscreen writing program designed to be
 distraction free.  You can customize your environment by changing the
 font, colors, and background image to add ambiance.  FocusWriter
 features an on-the-fly updating wordcount, optional auto-save,
 optional daily goals, and toolbars that hide away to allow you to
 focus more clearly.  Additionally, when you open the program your
 current work in progress will automatically load and position you at
 the end of your document, so that you can immediately jump back in.

## focuswriter 1.3.4.1

=== debian/changelog ===
focuswriter (1.3.4.1-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Oct 2011 10:22:21 +0100

focuswriter (1.3.4-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Oct 2011 18:11:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE = qmake-qt4
DEB_QMAKE_ARGS = PREFIX=/usr

ICON_DIR = resources/images/icons/hicolor/32x32/apps

update-config:: $(ICON_DIR)/focuswriter.xpm

$(ICON_DIR)/focuswriter.xpm: $(ICON_DIR)/focuswriter.png
	convert -resize 32x32 $(ICON_DIR)/focuswriter.png $(ICON_DIR)/focuswriter.xpm

reverse-config::
	rm -f $(ICON_DIR)/focuswriter.xpm

## focuswriter 1.3.5+git.a0b47c53

=== debian/changelog ===
focuswriter (1.3.5+git.a0b47c53-1) unstable; urgency=low

  * use new upstream scalable icon

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Nov 2011 22:40:14 +0000

focuswriter (1.3.5-2) unstable; urgency=low

  * use upstream xpm icon

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Nov 2011 16:41:54 +0000

focuswriter (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Nov 2011 12:34:53 +0000

focuswriter (1.3.4.1-2) unstable; urgency=low

  * Build no longer depends upon libao-dev
  * Suggest libsdl-mixer1.2 which is dynamically loaded if available

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 28 Oct 2011 09:30:16 +0100

## focuswriter 1.3.5.1

=== debian/changelog ===
focuswriter (1.3.5.1-1build1) precise; urgency=low

  * No change rebuild for libzip transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Mar 2012 21:45:01 -0400

focuswriter (1.3.5.1-1) unstable; urgency=low

  * Document vcs snapshot tarball creation procedure
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Dec 2011 22:30:26 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE = qmake-qt4
DEB_QMAKE_ARGS = PREFIX=/usr

install/focuswriter::
	cd debian/focuswriter/usr/share/pixmaps/ \
	 && mv focuswriter_32.xpm focuswriter.xpm

## focuswriter 1.3.5.2

=== debian/changelog ===
focuswriter (1.3.5.2-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Jan 2012 14:02:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: cdbs, debhelper (>= 8), imagemagick, libqt4-dev, libao-dev, libhunspell-dev, libzip-dev, pkg-config
+Build-Depends: cdbs, debhelper (>= 8),
+	       libqt4-dev,
+	       libhunspell-dev,
+	       libzip-dev,
+	       pkg-config
 Standards-Version: 3.9.2
 Homepage: http://gottcode.org/focuswriter/
 Vcs-Git: git://git.debian.org/collab-maint/focuswriter.git
@@ -12,7 +16,7 @@
 Package: focuswriter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: hunspell-dictionary, myspell-dictionary
+Suggests: hunspell-dictionary, myspell-dictionary, libsdl-mixer1.2
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be
  distraction free.  You can customize your environment by changing the

=== debian/watch ===
version=3
# http://gottcode.org/focuswriter/focuswriter-([\d\.]+)-src.tar.bz2
http://githubredir.debian.net/github/gottcode/focuswriter/ v(.*)\.tar\.gz

## focuswriter 1.3.6

=== debian/changelog ===
focuswriter (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Jun 2012 00:25:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: cdbs, debhelper (>= 8),
+Build-Depends: cdbs, debhelper (>= 9),
 	       libqt4-dev,
 	       libhunspell-dev,
 	       libzip-dev,
 	       pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gottcode.org/focuswriter/
 Vcs-Git: git://git.debian.org/collab-maint/focuswriter.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/focuswriter.git;a=summary

## focuswriter 1.4.1

=== debian/changelog ===
focuswriter (1.4.1-1) unstable; urgency=low

  * new upstream release
  * fix debian/watch file

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Nov 2012 23:03:48 +0000

focuswriter (1.4.0.2012.11.18-1) unstable; urgency=low

  * merge upstream changes on branch release-1.4
    - Sync translations with Transifex.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Nov 2012 19:52:37 +0000

focuswriter (1.4.0.2012.11.04-1) unstable; urgency=low

  * merge upstream bug fixes on branch release-1.4
    - FIXED: Played sounds constantly in Ubuntu 10.04.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Nov 2012 18:17:59 +0000

focuswriter (1.4.0.2012.10.15-1) unstable; urgency=low

  * merge upstream bug fixes on branch release-1.4
    - FIXED: Could drag scenes in Read-Only files.
    - FIXED: Could insert symbols in Read-Only files.
    - FIXED: Could paste unformatted in Read-Only files.
    - FIXED: Could check spelling of Read-Only files.
    - FIXED: Cleared keyboard shortcuts not saved.
    - FIXED: Cannot add new keyboard shortcuts with the Shift key.
  * bump debian standards version, no changes needed

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 09 Nov 2012 13:38:35 +0000

focuswriter (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Sep 2012 15:05:55 +0100

focuswriter (1.3.90-2) unstable; urgency=low

  * merge upstream proper sound fix
  * remove corresponding quilt patch 0001-revert-SDL-load-fix.patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Aug 2012 09:44:20 +0200

focuswriter (1.3.90-1) unstable; urgency=low

  * New upstream release
  * Quilt patch reverting 3da303ed which broke typewriter sounds

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Aug 2012 15:01:16 +0200

focuswriter (1.3.80-1) unstable; urgency=low

  * New upstream release
    - uses libenchant for spell checking
    - includes translation patches, no need to represent binary changes
    - renamed bitmap icon, no longer need to rename

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Aug 2012 11:19:41 +0200

focuswriter (1.3.6-2) unstable; urgency=low

  * Stop using cdbs in debian/rules to fix hardening flags pass-through issue
  * Merge post-release upstream translations
  * Include documentation file CREDITS, and continue to include README

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jul 2012 11:32:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: cdbs, debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
 	       libqt4-dev,
-	       libhunspell-dev,
+	       libenchant-dev,
 	       libzip-dev,
 	       pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gottcode.org/focuswriter/
 Vcs-Git: git://git.debian.org/collab-maint/focuswriter.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/focuswriter.git;a=summary

## focuswriter 1.4.4

=== debian/changelog ===
focuswriter (1.4.4-1) unstable; urgency=low

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Jun 2013 19:12:56 +0100

focuswriter (1.4.3.2013.04.25-1) unstable; urgency=low

  * merge upstream maintenance branch
    - FIXED: Did not always ignore changes made by program.
  * tweak VCS entry in debian/control to appease lintian
  * quilt patch that adds keywords to desktop file to appease lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 13 May 2013 12:31:45 +0100

focuswriter (1.4.3.2013.04.15-1) unstable; urgency=low

  * merge upstream maintenance branch
    - FIXED: Smart quotes were incorrect after opening punctuation.
    - Allow margins smaller than 10 pixels.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 May 2013 14:57:52 +0100

focuswriter (1.4.3-1) unstable; urgency=low

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Apr 2013 13:28:29 +0100

focuswriter (1.4.2-1) unstable; urgency=low

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Apr 2013 13:25:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	       pkg-config
 Standards-Version: 3.9.4
 Homepage: http://gottcode.org/focuswriter/
-Vcs-Git: git://git.debian.org/collab-maint/focuswriter.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/focuswriter.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/focuswriter.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
 
 Package: focuswriter
 Architecture: any

## focuswriter 1.4.5

=== debian/changelog ===
focuswriter (1.4.5-1) unstable; urgency=medium

  * New upstream release
  * Track upstream maintenance branch
    - da6b829 FIXED: Long session names made session menu unworkable.
    - d3d8119 FIXED: Theme names could not contain periods.
    - bb84e4e FIXED: Session names could not contain periods.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Mar 2014 20:45:31 +0000

focuswriter (1.4.4+git.5.56edf89-1) unstable; urgency=medium

  * Track upstream maintenance branch
    - e47f5f2 Sync translations with Transifex.
    - 70ddae7 FIXED: Paragraphs not always focused properly when merged.
    - 47cd508 FIXED: Regexp searches did not ignore whole words option.
    - 56edf89 FIXED: Closing last empty document increased untitled count.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Mar 2014 14:03:57 +0000

focuswriter (1.4.4+git.4.0c3b3c1-1) unstable; urgency=low

  * Track upstream maintenance branch
    - 0c3b3c1 FIXED: Selected session was incorrect when switching sessions
      was canceled.
    - a51290e Prevent opening unsupported multimedia files.
    - 77b3da5 Fix linker error with Qt 5 on Windows.
    - bb69d83 Update QtSingleApplication.
    - cb19614 Fix compilation error with Qt 5 on Windows.
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Feb 2014 11:44:36 +0000

focuswriter (1.4.4+git.3.ec86fd40-1) unstable; urgency=low
  
  * Track upstream maintenance branch
    - c0ceb94a Sync translations with Transifex.
    - 9b365049 FIXED: Hyphenated lines were not focused properly.
    - ec86fd40 Update translations.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 13 Jan 2014 17:00:32 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	       libenchant-dev,
 	       libzip-dev,
 	       pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://gottcode.org/focuswriter/
 Vcs-Git: git://anonscm.debian.org/collab-maint/focuswriter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git

=== debian/watch ===
version=3
# http://gottcode.org/focuswriter/focuswriter-([\d\.]+)-src.tar.bz2
http://githubredir.debian.net/github/gottcode/focuswriter/ .*/v(.*)\.tar\.gz

## focuswriter 1.5.3

=== debian/changelog ===
focuswriter (1.5.3-2) unstable; urgency=medium

  * Scrape bit rot off debian/watch
  * Bumps standards version, no changes required
  * Gentler mechanism for specifying qt5

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Feb 2015 21:34:10 +0000

focuswriter (1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sun, 17 Aug 2014 12:59:45 +0000

focuswriter (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sun, 20 Jul 2014 13:47:08 +0000

focuswriter (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 24 Jun 2014 12:40:50 +0000

focuswriter (1.5.0-1) unstable; urgency=medium

  * New upstream release
    - switched some libraries
    - supports qt5
  * Compile against qt5
  * Track upstream maintenance branch
    git merge --no-edit upstream/release-1.5
    git log --oneline -4 upstream/release-1.5 | tac
    - 2a14309 FIXED: Regression where menubar was not shown in Ubuntu.
    - 120d9af FIXED: Regression with default cursor width on Windows.
    - 7a80d49 FIXED: Missing libraries on Windows.
    - 392c386 FIXED: Compile issues with Qt 4.6.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 20 Jun 2014 11:07:50 +0200

focuswriter (1.4.6-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Apr 2014 09:12:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

%:
	dh $@ --parallel

## focuswriter 1.5.4.1

=== debian/changelog ===
focuswriter (1.5.4.1-1build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:40:55 +0000

focuswriter (1.5.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sat, 18 Jul 2015 09:36:18 +0000

focuswriter (1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sat, 13 Jun 2015 18:21:20 +0000

focuswriter (1.5.3-3) unstable; urgency=medium

  * Merge upstream fixes:
    - 76b99d0 FIXED: Crash when importing themes.
    - ca223c5 Update format of appdata.
    - 8f6e993 Update appdata file.
  
 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 20 Mar 2015 10:29:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper (>= 9),
-	       libqt4-dev,
-	       libenchant-dev,
-	       libzip-dev,
-	       pkg-config
-Standards-Version: 3.9.5
+		qtbase5-dev,
+		qtmultimedia5-dev,
+		libhunspell-dev,
+		pkg-config,
+		zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: http://gottcode.org/focuswriter/
 Vcs-Git: git://anonscm.debian.org/collab-maint/focuswriter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
@@ -16,7 +18,7 @@
 Package: focuswriter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: hunspell-dictionary, myspell-dictionary, libsdl-mixer1.2
+Suggests: hunspell-dictionary, myspell-dictionary
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be
  distraction free.  You can customize your environment by changing the

## focuswriter 1.5.5

=== debian/changelog ===
focuswriter (1.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Fri, 04 Sep 2015 20:34:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper (>= 9),
 		qtbase5-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

## focuswriter 1.6.0

=== debian/changelog ===
focuswriter (1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Sep 2016 02:17:14 +0100

focuswriter (1.5.7-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Jul 2016 13:18:38 +0200

focuswriter (1.5.5-2) unstable; urgency=medium

  * merge upstream stable branch fixes
  * enable more hardening
  * remove debian/menu
  * bump debian standards version
  * use more secure protocols for URLs in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Apr 2016 14:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 3.9.6
-Homepage: http://gottcode.org/focuswriter/
+Standards-Version: 3.9.8
+Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: git://anonscm.debian.org/collab-maint/focuswriter.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
 
 Package: focuswriter
 Architecture: any

## focuswriter 1.6.3

=== debian/changelog ===
focuswriter (1.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 Dec 2016 13:48:38 +0000

focuswriter (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Use build system to generate translations

 -- Graeme Gott <graeme@gottcode.org>  Thu, 13 Oct 2016 12:20:12 +0000

focuswriter (1.6.1-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * use lrelease in debian/rules to regenerate tranlations/*.qm to
    avoid issues with unrepresentable binary source files

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Sep 2016 19:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper (>= 9),
 		qtbase5-dev,
+		qttools5-dev-tools,
 		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export QT_SELECT = 5
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --parallel

## focuswriter 1.6.4

=== debian/changelog ===
focuswriter (1.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Thu, 09 Mar 2017 18:52:34 +0000

## focuswriter 1.6.6

=== debian/changelog ===
focuswriter (1.6.6-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump policy version (no changes required)
  * bump to dh10 (remove no-default debian/rules dh --parallel)
  * secure development repo URL

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Aug 2017 10:55:52 +0100

focuswriter (1.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 30 May 2017 14:15:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 		qtbase5-dev,
 		qttools5-dev-tools,
 		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://gottcode.org/focuswriter/
-Vcs-Git: git://anonscm.debian.org/collab-maint/focuswriter.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/focuswriter.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
 
 Package: focuswriter

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## focuswriter 1.6.12

=== debian/changelog ===
focuswriter (1.6.12-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * simplify gbp.conf
  * swizzle packaging repo to salsa

 -- Graeme Gott <graeme@gottcode.org>  Sat, 14 Apr 2018 10:34:45 +0000

focuswriter (1.6.11-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Fri, 30 Mar 2018 13:33:30 +0000

focuswriter (1.6.10-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * secure some URLs in debian/copyright

 -- Graeme Gott <graeme@gottcode.org>  Wed, 21 Feb 2018 13:17:00 +0000

focuswriter (1.6.9-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Wed, 07 Feb 2018 19:05:36 +0000

focuswriter (1.6.8-2) unstable; urgency=medium

  * Merge minor upstream fixes
  * bump to debhelper 11

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Jan 2018 21:54:21 +0000

focuswriter (1.6.8-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump policy version
  * trim changelog whitespace
  * add git buildpackage configuration to conform git names with upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 Dec 2017 19:59:16 +0000

focuswriter (1.6.7-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump policy version (no changes required)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Aug 2017 08:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 		qtbase5-dev,
 		qttools5-dev-tools,
 		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://gottcode.org/focuswriter/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/focuswriter.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/focuswriter.git
+Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
+Vcs-Browser: https://salsa.debian.org/debian/focuswriter
 
 Package: focuswriter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export QT_SELECT = 5
+export QT_SELECT = qt5
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1

=== debian/watch ===
version=3
https://github.com/gottcode/focuswriter/releases /gottcode/focuswriter/archive/v(.+)\.tar\.gz

## focuswriter 1.6.15

=== debian/changelog ===
focuswriter (1.6.15-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10 to ease backports.
  * Disable automatic dbgsym files.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Aug 2018 13:38:59 -0700

focuswriter (1.6.15-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * uscan v4

 -- Graeme Gott <graeme@gottcode.org>  Fri, 20 Jul 2018 16:13:30 +0000

focuswriter (1.6.14-1) unstable; urgency=medium

  * New upstream release
  * Do not install old NEWS changelog

 -- Graeme Gott <graeme@gottcode.org>  Fri, 06 Jul 2018 19:11:55 +0000

focuswriter (1.6.13-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump policy

 -- Graeme Gott <graeme@gottcode.org>  Tue, 29 May 2018 10:29:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
 		qtbase5-dev,
 		qttools5-dev-tools,
 		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
 Vcs-Browser: https://salsa.debian.org/debian/focuswriter

## focuswriter 1.6.16

=== debian/changelog ===
focuswriter (1.6.16-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump standards version, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Sep 2018 21:01:56 +0100

## focuswriter 1.7.1

=== debian/changelog ===
focuswriter (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Mon, 17 Dec 2018 12:15:57 +0000

## focuswriter 1.7.1.1+rb2

=== debian/changelog ===
focuswriter (1.7.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jan 2021 17:18:50 +0800

=== debian/watch ===
version=4
https://github.com/gottcode/focuswriter/releases /gottcode/focuswriter/archive/v(.+)\.tar\.gz

## focuswriter 1.7.2

=== debian/changelog ===
focuswriter (1.7.2-1) unstable; urgency=medium

  * New upstream release
  * Configure for .xz upstream tarballs
  * bump to debhelper 12
  * bump debian policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Mar 2019 15:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
 		qtbase5-dev,
 		qttools5-dev-tools,
 		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
 Vcs-Browser: https://salsa.debian.org/debian/focuswriter

## focuswriter 1.7.3

=== debian/changelog ===
focuswriter (1.7.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Oct 2019 19:00:47 -0700

focuswriter (1.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Wed, 07 Aug 2019 13:33:30 +0000

focuswriter (1.7.2-2) unstable; urgency=medium

  * Track upstream maintenance branch
  * bump debian policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Aug 2019 20:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper-compat (= 12),
 		qtbase5-dev,
@@ -10,7 +11,7 @@
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
 Vcs-Browser: https://salsa.debian.org/debian/focuswriter

## focuswriter 1.7.4

=== debian/changelog ===
focuswriter (1.7.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Jan 2020 18:28:05 -0800

focuswriter (1.7.4-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Lintian suggests Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2020 08:36:02 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
 Vcs-Browser: https://salsa.debian.org/debian/focuswriter

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,6 @@
 %:
 	dh $@
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## focuswriter 1.7.5

=== debian/changelog ===
focuswriter (1.7.5-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Apr 2020 14:22:25 -0700

focuswriter (1.7.5-1) unstable; urgency=medium

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Mon, 24 Feb 2020 10:44:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper-compat (= 12),
-		qtbase5-dev,
-		qttools5-dev-tools,
-		qtmultimedia5-dev,
+		qtbase5-dev (>= 5.9.0),
+		qttools5-dev-tools (>= 5.9.0),
+		qtmultimedia5-dev (>= 5.9.0),
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
@@ -20,7 +20,7 @@
 Package: focuswriter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: hunspell-dictionary, myspell-dictionary
+Suggests: hunspell-dictionary | myspell-dictionary
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be
  distraction free.  You can customize your environment by changing the

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-

## focuswriter 1.7.6

=== debian/changelog ===
focuswriter (1.7.6-2) unstable; urgency=medium

  * tweak uscan watch file
  * bump policy version
  * bump debhelper version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 13 Feb 2021 16:48:52 +0000

focuswriter (1.7.6-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * bump debian policy

 -- Graeme Gott <graeme@gottcode.org>  Tue, 21 Apr 2020 13:38:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: focuswriter
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper-compat (= 12),
-		qtbase5-dev (>= 5.9.0),
-		qttools5-dev-tools (>= 5.9.0),
-		qtmultimedia5-dev (>= 5.9.0),
+Build-Depends: debhelper-compat (= 13),
+		qtbase5-dev,
+		qttools5-dev-tools,
+		qtmultimedia5-dev,
 		libhunspell-dev,
 		pkg-config,
 		zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
@@ -20,7 +19,7 @@
 Package: focuswriter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: hunspell-dictionary | myspell-dictionary
+Suggests: hunspell-dictionary, myspell-dictionary
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be
  distraction free.  You can customize your environment by changing the

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
https://github.com/gottcode/@PACKAGE@/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## focuswriter 1.8.2

=== debian/changelog ===
focuswriter (1.8.2-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * Update debian/copyright
  * Add upstream bug tracking pointers

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Sep 2022 08:35:01 +0100

focuswriter (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - uses libicu for codecs

 -- Graeme Gott <graeme@gottcode.org>  Sat, 02 Jul 2022 14:39:25 +0000

focuswriter (1.8.0-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release
  * Switch to Qt 6

  [ Barak A. Pearlmutter ]
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 24 Jun 2022 14:12:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,17 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Graeme Gott <graeme@gottcode.org>
 Build-Depends: debhelper-compat (= 13),
-		qtbase5-dev,
-		qttools5-dev-tools,
-		qtmultimedia5-dev,
-		libhunspell-dev,
-		pkg-config,
-		zlib1g-dev
-Standards-Version: 4.5.1
+  cmake,
+  mesa-common-dev,
+  qt6-base-dev,
+  qt6-tools-dev,
+  qt6-tools-dev-tools,
+  qt6-l10n-tools,
+  qt6-multimedia-dev,
+  libhunspell-dev,
+  pkg-config,
+  zlib1g-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
@@ -18,7 +22,7 @@
 
 Package: focuswriter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: qt6-qpa-plugins, ${misc:Depends}, ${shlibs:Depends}
 Suggests: hunspell-dictionary, myspell-dictionary
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be

## focuswriter 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2022 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(focuswriter VERSION 1.8.2 LANGUAGES CXX)
-
-set(project_copyright "2008-2022 Graeme Gott")
+project(focuswriter VERSION 1.8.4 LANGUAGES CXX)
+
+set(project_copyright "2008-2023 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -28,7 +28,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060300>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
 )
 
 # Version number
@@ -206,7 +206,7 @@
 	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/mac/focuswriter.icns Resources)
 	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/images/icons/oxygen/hicolor Resources/icons/hicolor)
 	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/sounds Resources/sounds)
-	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/symbols/symbols1400.dat Resources)
+	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/symbols/symbols1500.dat Resources)
 	bundle_data(focuswriter ${CMAKE_SOURCE_DIR}/resources/themes Resources/themes)
 	bundle_translations(focuswriter "${translations_QM}")
 elseif(WIN32)
@@ -236,7 +236,7 @@
 	install(DIRECTORY resources/images/icons/oxygen/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter/icons)
 	install(DIRECTORY resources/sounds DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
 	install(DIRECTORY resources/themes DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
-	install(FILES resources/symbols/symbols1400.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
+	install(FILES resources/symbols/symbols1500.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/focuswriter)
 	install(FILES resources/unix/focuswriter.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)
 	install(FILES resources/unix/focuswriter.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 	install(FILES resources/unix/focuswriter.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== debian/changelog ===
focuswriter (1.8.4-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release
  * Update debian/copyright

  [ Barak A. Pearlmutter ]
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Jan 2023 09:01:24 +0000

focuswriter (1.8.3-2) UNRELEASED; urgency=medium

  * Remove runtime dependency on qt6-qpa-plugins (closes: #1026956)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2022 11:12:20 +0000

focuswriter (1.8.3-1) unstable; urgency=medium

  [ Graeme Gott ]
  * New upstream release

  [ Barak A. Pearlmutter ]
  * Swizzle debian/watch to scan upstream repo tags

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Dec 2022 21:16:43 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   libhunspell-dev,
   pkg-config,
   zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/focuswriter/
 Vcs-Git: https://salsa.debian.org/debian/focuswriter.git
@@ -22,7 +22,7 @@
 
 Package: focuswriter
 Architecture: any
-Depends: qt6-qpa-plugins, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hunspell-dictionary, myspell-dictionary
 Description: Fullscreen distraction-free writing program
  Focuswriter is a fullscreen writing program designed to be

## focuswriter 1.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(focuswriter VERSION 1.8.4 LANGUAGES CXX)
+project(focuswriter VERSION 1.8.5 LANGUAGES CXX)
 
 set(project_copyright "2008-2023 Graeme Gott")
 
@@ -28,7 +28,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060500>
 )
 
 # Version number

=== debian/changelog ===
focuswriter (1.8.5-1) unstable; urgency=low

  * New upstream release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 27 Jun 2023 13:42:12 +0000

focuswriter (1.8.4-2) unstable; urgency=medium

  * fix unmerged changelog stanza
  * merge upstream fix (HTML paste bug)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 Jun 2023 13:28:03 +0100
